LEOCAD(1)

NAME
LeoCAD - CAD program for LEGO models.

SYNOPSIS
leocad [ infile [ -i [ outfile.ext ] [-w x] [-h y] ] ] [-l path]

DESCRIPTION
LeoCAD is a CAD program for creating virtual LEGO models. It has an easy to use interface and includes thousands of different parts in its library.

OPTIONS
Below is a summary of all of the options that LeoCAD accepts. Most options have two equivalent names, one of which is a single letter preceded by -, and the other of which is a long name preceded by --. Brackets ([ and ]) indicate that an option takes an optional argument.

infile
    Loads the project file infile

-i [outfile.ext]

--image [outfile.ext]
    Saves a picture to outfile.ext in the image format specified by ext and exits. If outfile is not given then the program will use a name based on infile. The file format is selected by ext and can be gif, bmp, png or jpg (if ext is not present then the default preferences format will be used).

-w width

--width width
    Sets the width of the picture to width.

-h height

--height height
    Sets the height of the picture to height.

-f time

--from time
    Start saving pictures at the step time.

-t time

--to time
    Save pictures until the step time.

--highlight
    Adds a border around the pieces in the step they appear when saving pictures.

-l path

--libpath path
    Use alternate parts library found in path . The Debian version of LeoCAD uses /usr/share/leocad/ as the default.

ENVIRONMENT
``LEOCAD_LIB'' may be set to the path of the parts library.

EXAMPLES

 $ leocad car.lcd -i car.png -w 640 -h 480

This will start LeoCAD, load the file "car.lcd," create a png called "car.png" with a resolution of 640x480 and exit when done.

FILES

~/.config/LeoCAD Software/LeoCAD.conf
    User preferences file

BUGS
If you find any bugs please report them at http://leocad.org/trac/newticket

AUTHOR
LeoCAD is written by Leonardo Zide <leozide@gmail.com>. You can visit the LeoCAD homepage at http://www.leocad.org/ This manual page was written by Patrick Mahoney <pat7@gmx.net>, for the Debian GNU/Linux system (but may be used by others).